#include <bits/stdc++.h>
using namespace std;
int main()
{
    int c[100000];
    long long int n,a,b,m=0;
    cin>>n;
    for(int i=0;i<100000;i++)
    {
        c[i]=0;
    }
    for(int i=0;i<n;i++)
    {
        cin>>a>>b;
        if(b-1>m)m=b-1;
        for(int q=a-1;q<b-1;q++)
        {
            c[q]++;
        }
    }
    sort(c,c+m+1);
    cout<<c[m]<<endl;
    int g=0;
    for(int i=m;i>=0;i--)
    {
        if(c[i]!=c[m])break;
        else g++;
    }
    cout<<g<<endl;

    return 0;
}